<!doctype html>
<html lang="en">
	<head>
		<meta charset="UTF-8" />
		<meta name="viewport" content="width=device-width, initial-scale=1.0" />
		<title>$title$</title>
		<style>
			/* CSS Reset */
			*,
			*::before,
			*::after {
				box-sizing: border-box;
			}

			*:not(strong) {
				font-weight: normal;
				margin: 0;
				padding: 0;
			}

			html,
			body {
				block-size: 100%;
			}

			ol,
			ul {
				list-style: none;
			}

			iframe,
			img,
			object,
			picture,
			video,
			canvas,
			svg {
				block-size: auto;
				display: block;
				max-inline-size: 100%;
			}

			article,
			footer,
			header {
				overflow-wrap: break-word;
			}

			/* Global values */
			:root {
				--font-family: -apple-system, system-ui, sans-serif;
				--font-family-header: -apple-system, system-ui, sans-serif;

				/* Light theme colors */
				--color-accent-1: #cc8800;
				--color-background: #ffffff;
				--color-background-accent: rgba(0 15 50 / 2%);
				--color-gray-20: #e0e0e0;
				--color-gray-90: #333333;
				--color-text: var(--color-gray-90);
				--color-text-header: #0b108e;
				--color-text-link: #0f2fbd;
				--color-text-link-visited: #133bec;
			}

			h1,
			h2,
			h3,
			h4,
			h5,
			h6 {
				color: var(--color-text-header);
				font-family: var(--font-family-header);
				font-weight: bold;
				margin-block: 1rem;
				margin-inline: auto;
			}

			h1 {
				font-size: 2rem;
			}

			h2 {
				font-size: 1.75rem;
			}

			h3,
			h4,
			h5,
			h6 {
				font-size: 1.45rem;
			}

			body {
				font-size: 1.15em;
			}

			table {
				border-collapse: collapse;
			}

			p {
				line-height: 1.65;
				margin-block: 1rem;
				margin-inline: auto;
			}

			a[href] {
				color: var(--color-text-link);
				font-weight: inherit;
				text-decoration-color: var(--color-accent-1);
				text-decoration-thickness: 1px;
				text-underline-offset: 0.2rem;
			}

			a[href]:hover,
			a[href]:focus {
				text-decoration-thickness: 2px;
				text-underline-offset: 0.15rem;
			}

			a[href]:visited {
				color: var(--color-text-link-visited);
			}

			/* Page layout */
			/* stylelint-disable-next-line no-duplicate-selectors -- functional separation */
			body {
				background-color: var(--color-background);
				color: var(--color-text);
				display: grid;
				font-family: var(--font-family);
				grid-template-columns: 1fr;
			}

			#root {
				inline-size: 100%;
				justify-self: center;
				max-inline-size: 1008px;
			}

			main {
				margin-block: 1rem;
				margin-inline: auto;
				max-inline-size: 1000px;
			}

			main :first-child {
				margin-block-start: 0;
			}

			/* Body */
			/* stylelint-disable-next-line no-duplicate-selectors -- functional separation */
			table {
				border-collapse: collapse;
				inline-size: 100%;
				margin-block: auto;
				margin-inline: min(1rem, 1vw);
			}

			table td,
			table th {
				border: 1px solid var(--color-gray-20);
				padding-block: 0.25rem;
				padding-inline: 0.5rem;
			}

			table th {
				background-color: var(--color-background-accent);
				font-weight: bold;
			}

			table.first-column-250 td:first-child {
				inline-size: min(250px, 25vw);
			}
		</style>
	</head>
	<body>
		<main>$body$</main>
	</body>
</html>
